from Lib import gcode
from flask import Flask, render_template, request,url_for
import matplotlib.pyplot as plt
import pandas as pd
import numpy as np
import base64
from io import BytesIO
app = Flask(__name__)
 
@app.route('/')
@app.route('/Index')
def Index():
    return render_template('Index.html')
 
@app.route('/PrimeShow',methods = ['POST', 'GET'])
def PrimeShow():
    if request.method == 'POST':
        data= request.form
        imax=int(data["imax"])				
        primeList=gcode.getPrime(imax)
        df=pd.DataFrame(primeList,index=np.arange(1,len(primeList)+1))       
        fig = df.plot()  
        buffer = BytesIO()    
        fig.figure.savefig(buffer,dpi=900,bbox_inches='tight')       
        buffer.seek(0)
        plot_data = buffer.getvalue()   
        imb = base64.b64encode(plot_data) 
        ims = imb.decode()
        return render_template("PrimeShow.html",primeList = primeList,img_stream=ims)
 
if __name__ == '__main__':
   app.run(debug = True)